Page MenuHomePhabricator

Global rename of Fiona B. → Fiona*: supervision needed
Closed, InvalidPublic

Description

The main account has > 100k edits; (104,262). See the request here. The request is accepted so we would appreciate if you could reserve for us a window so this rename can be performed and simultaneously supervised. Thanks.

Note: the user main edits number in de.wikipedia (103,990) (CentralAuth)

Event Timeline

Itti created this task.May 25 2019, 7:39 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 25 2019, 7:39 PM
Reedy renamed this task from Fiona B. to Global rename of Fiona B.: supervision needed.May 25 2019, 7:44 PM
Reedy renamed this task from Global rename of Fiona B.: supervision needed to Global rename of Fiona B. → Fiona*: supervision needed.
-jkb- added a subscriber: -jkb-.May 25 2019, 7:49 PM

@Anomie Based on your comments on T222224#5182855, I am going to suggest to possibly wait for this big rename on dewiki it it can, if you disagree (e.g. because actor going to take a long time) please say so.

1997kB updated the task description. (Show Details)May 28 2019, 11:09 AM
jcrespo changed the task status from Open to Stalled.May 29 2019, 11:13 AM

I suggested the user to wait and she agreed. I will keep track of the deployment progress and if it gets too delayed, suggest to do it in the old way to not block the rename indefinitely.

Waiting for the actor migration to get to write-new should indeed reduce the amount of work needed to perform this rename. Current plan is for group 2 (which includes dewiki) to be set to write-new on June 3, probably at around 13:30 UTC. It might be prudent to leave some delay after that in case we find a need to roll back, although I'd hope we'd already have detected issues that would require rollback last week (group 0) or this (group 1).

@Anomie Regarding specifically quick renames- is is something that will also need to change after migration or is it already bound to the newer actor codebase?

The Renameuser extension already has code in place to skip the slow updates of names in various tables when the actor migration stage is "write-new".

jcrespo added a comment.EditedMay 31 2019, 2:16 PM

Thanks anomie! Global renamers will be very happy to hear that. Your comments are very helpful on clarifying the status!

@jcrespo: What's the status of deployment now? Can we do these big renames?

@Anomie might be able to give us more information of the timeline for the deployment.

Marostegui edited projects, added Operations; removed DBA.Jul 1 2019, 9:56 AM

This doesn't really need a DBA there is no lag replication lag showing up since we replaced all the old hardware

jbond triaged this task as Normal priority.Jul 1 2019, 10:31 AM
jcrespo changed the task status from Stalled to Open.Jul 2 2019, 8:04 AM

@Itti, there should be no reason to block this anymore, as far as I been told and I can see, renames should be (almost) instant and not longer be an error-prone action. Please confirm when performing this rename.

Itti added a comment.Jul 2 2019, 4:37 PM

@jcrespo, thank you very much.

I ask the user today for her ok, but she rejact the rename: https://de.wikipedia.org/w/index.php?title=Benutzerin_Diskussion:Fiona_B.&curid=6496935&diff=190068705&oldid=190062479&diffmode=source.

I´m sorry, I hope you have not had too much work with this request.

Please close the request.
Thank you

Urbanecm closed this task as Invalid.Jul 2 2019, 4:40 PM
Urbanecm added a subscriber: Urbanecm.

Per comment above.

-jkb- removed a subscriber: -jkb-.Jul 2 2019, 10:58 PM